Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.agents
Class RetainedEventAgent

    java.lang.Object
      oracle.ifs.core.runtime.Server
          oracle.ifs.core.runtime.IfsServer
              oracle.ifs.core.runtime.ClusteredServer
                  oracle.ifs.core.agents.RetainedEventAgent

All Implemented Interfaces:
  IfsEventHandler, ServerInterface, TimerContext

    public abstract class RetainedEventAgent

extends ClusteredServer
implements IfsEventHandler

A RetainedEventAgent is an abstract class that simplifies the specification of agents that use retained events.

Nested Class Summary

Nested classes/interfaces inherited from class oracle.ifs.core.runtime.IfsServer
`IfsServer.ServerRequest`

Field Summary

Fields inherited from class oracle.ifs.core.runtime.ClusteredServer
`REQUESTTYPE_CHECK_REGISTRATION, REQUESTTYPE_FORCE_CHECK_REGISTRATION`

Fields inherited from class oracle.ifs.core.runtime.Server
`LEVEL_HIGH, LEVEL_LOW, LEVEL_MEDIUM, LEVEL_OFF`

Fields inherited from interface oracle.ifs.core.runtime.ServerInterface
`SERVERSTATUS_DISPOSED, SERVERSTATUS_RUNNING, SERVERSTATUS_STARTING, SERVERSTATUS_STOPPED, SERVERSTATUS_STOPPING, SERVERSTATUS_SUSPENDED, SERVERSTATUS_UNKNOWN`

Constructor Summary
`RetainedEventAgent()` Constructs the RetainedEventAgent.

Method Summary
`void` | `disableEventListening()` Disable listening for events on the event target propertybundle
`void` | `enableEventListening()` Enable listening events on the QuotaUpdateIndex propertyBundle
`protected abstract java.lang.String` | `getBatchSizePropertyName()` Get the name of the property used to specify the event batch size.
`protected abstract java.lang.String` | `getEventTargetKey()` Get the event target key used for this agent.
`protected abstract RetainedEvent` | `getRetainedEventSeed()` Gets the retained event "seed" to select the appropriate type of retained events
`void` | `handleEvent(IfsEvent event)` Handles events.
`protected void` | `handlePropertyChangeRequest(AttributeValue av)` Handles updates to dynamic properties.
`protected void` | `handleResumeRequest()` Handle the resume request.
`protected void` | `handleStopRequest()` Handle the stop request.
`protected void` | `handleSuspendRequest()` Handle the suspend request.
`protected void` | `handleTimerExpired()` Handles a timer expiration.
`void` | `initialize()` Perform one time initialization tasks upon loading.
`boolean` | `isAgent()` Gets whether this Server is an agent.
`boolean` | `isPropertyReadonly(java.lang.String name)` Returns true if the property name specified is readonly.
`protected void` | `postProcessRetainedEvents()` Called after all retained events have been processed
`void` | `postRun()` Performs post-run tasks for this agent.
`protected void` | `preBatchProcessing()` Called before a batch of Retained Events are processed.
`void` | `processEvent(IfsEvent event)` Process the next event
`protected abstract void` | `processRetainedEvent(LibrarySession session, RetainedEvent re)` Process a retained event.
`void` | `run()` Runs this agent.
`boolean` | `supportsSuspendResume()` Gets whether suspend/resume is supported.

Methods inherited from class oracle.ifs.core.runtime.ClusteredServer
`cancelRegistration, checkRegistration, deriveAgentIdentifier, deriveRunningServerIdentifier, getAgentIdentifier, getAgentIdentifierPrefix, getRegistrationPeriod, getRunningNodeIdentifier, getRunningNodeName, getRunningServerIdentifier, getRunningServersEnumeration, handleRequest, initializeRegistration, isRegistered, isServerRunning, isTokenNonCompeting, releaseTokenRegistration, requestForcedRegistrationCheck, requestRegistrationCheck`

Methods inherited from class oracle.ifs.core.runtime.IfsServer
`checkSession, connectSession, constructSession, convertTimerInterval, convertTimerInterval, convertTimerInterval, dispose, getLastTimerActivation, getNextTimerActivation, getService, getTimerActivationPeriod, getTimerClassName, getTimerConfiguration, handlePriorityChangeRequest, handlePropertyChangeRequest, handleRequests, isTimerActive, postRequest, preRun, processEvents, queueEvent, resetTimer, restart, resume, setPriority, setProperty, setProperty, start, startTimer, stop, stopRequested, stopTimer, suspend, timerExpired, waitServer`

Methods inherited from class oracle.ifs.core.runtime.Server
`acquireSession, constructLibrarySessionPool, createServerState, deregister, disconnectSession, getConfigurationOverridesTable, getConfigurationTable, getCredential, getDesiredStatus, getIfsHome, getInitialConfigurationTable, getLoggerForLegacyLogging, getName, getNode, getNodeName, getOracleHome, getParameterTable, getPriority, getProperties, getProperty, getServerConfigurationName, getServerState, getServerStateValue, getServerType, getServiceName, getSession, getStateTable, getStatus, getSystemUserCredential, handleServerConfigurationOverrideRequest, handleServerStateEvent, initialize, initialize, isDisposed, isInitialized, isLogged, log, log, log, postAuditEvent, releaseSession, releaseSession, setDesiredStatus, setDesiredStatus, setSessionTimeoutPrevented, setStateProperty, setStatus, startStandalone, startStandalone, supportsPriority, toStatusLabel, toStatusLabel, toStatusLabel, verifyNotDisposed, verifyNotDisposed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RetainedEventAgent

    public RetainedEventAgent()
                       throws IfsException

  Constructs the RetainedEventAgent.

  Throws:
    `IfsException` - if the operation fails

Method Detail

### initialize

    public void initialize()
                    throws java.lang.Exception

  Description copied from class: `RetainedEventAgent`
  Perform one time initialization tasks upon loading.

  Overrides:
    `initialize` in class `Server`
  Throws:
    `java.lang.Exception` - if the operation fails

### isPropertyReadonly

    public boolean isPropertyReadonly(java.lang.String name)
                               throws IfsException

  Description copied from class: `RetainedEventAgent`
  Returns true if the property name specified is readonly.

  Specified by:
    `isPropertyReadonly` in interface `ServerInterface`
  Overrides:
    `isPropertyReadonly` in class `ClusteredServer`
  Parameters:
    `name` - name of the property
  Returns:
    true if property is readonly; false otherwise
  Throws:
    `IfsException` - if the operation fails

### handlePropertyChangeRequest

    protected void handlePropertyChangeRequest(AttributeValue av)
                                        throws java.lang.Exception

  Description copied from class: `RetainedEventAgent`
  Handles updates to dynamic properties.

  Overrides:
    `handlePropertyChangeRequest` in class `IfsServer`
  Parameters:
    `av` - the property that was changed
  Throws:
    `java.lang.Exception` - if the operation fails
  (Unpublished)

### isAgent

    public boolean isAgent()
                    throws IfsException

  Description copied from class: `RetainedEventAgent`
  Gets whether this Server is an agent.

  This method is called by administration tools to group together servers that are agents in administration user interfaces.

  Specified by:
    `isAgent` in interface `ServerInterface`
  Overrides:
    `isAgent` in class `Server`
  Returns:
    true
  Throws:
    `IfsException` - no exception is thrown

### run

    public void run()

  Description copied from class: `RetainedEventAgent`
  Runs this agent.

  Specified by:
    `run` in class `IfsServer`

### postRun

    public void postRun()

  Description copied from class: `RetainedEventAgent`
  Performs post-run tasks for this agent.

  Overrides:
    `postRun` in class `IfsServer`

### handleStopRequest

    protected void handleStopRequest()
                              throws java.lang.Exception

  Description copied from class: `RetainedEventAgent`
  Handle the stop request.

  Overridden here to include logging.

  Overrides:
    `handleStopRequest` in class `IfsServer`
  Throws:
    `java.lang.Exception` - if operation fails
  (Published)

### supportsSuspendResume

    public boolean supportsSuspendResume()

  Description copied from class: `RetainedEventAgent`
  Gets whether suspend/resume is supported.

  Specified by:
    `supportsSuspendResume` in interface `ServerInterface`
  Overrides:
    `supportsSuspendResume` in class `Server`
  Returns:
    true

### handleSuspendRequest

    protected void handleSuspendRequest()
                                 throws java.lang.Exception

  Description copied from class: `RetainedEventAgent`
  Handle the suspend request. Subclasses can override this to perform custom tasks as part of a Suspend request.

  Overrides:
    `handleSuspendRequest` in class `IfsServer`
  Throws:
    `java.lang.Exception` - if the operation fails

### handleResumeRequest

    protected void handleResumeRequest()
                                throws java.lang.Exception

  Description copied from class: `RetainedEventAgent`
  Handle the resume request. Subclasses can override this to perform custom tasks as part of a Resume request.

  Overrides:
    `handleResumeRequest` in class `IfsServer`
  Throws:
    `java.lang.Exception` - if the operation fails

### handleTimerExpired

    protected void handleTimerExpired()
                               throws java.lang.Exception

  Description copied from class: `RetainedEventAgent`
  Handles a timer expiration.

  Overrides:
    `handleTimerExpired` in class `IfsServer`
  Throws:
    `java.lang.Exception` - if the operation fails

### enableEventListening

    public void enableEventListening()
                              throws IfsException

  Description copied from class: `RetainedEventAgent`
  Enable listening events on the QuotaUpdateIndex propertyBundle

  Throws:
    `IfsException` - if the operation fails

### disableEventListening

    public void disableEventListening()
                               throws IfsException

  Description copied from class: `RetainedEventAgent`
  Disable listening for events on the event target propertybundle

  Throws:
    `IfsException` - if the operation fails

### handleEvent

    public void handleEvent(IfsEvent event)
                     throws IfsException

  Description copied from class: `RetainedEventAgent`
  Handles events. This queues the events for processing by the main agent thread.

  Specified by:
    `handleEvent` in interface `IfsEventHandler`
  Parameters:
    `event` - the event
  Throws:
    `IfsException` - if the operation fails

### processEvent

    public void processEvent(IfsEvent event)
                      throws IfsException

  Description copied from class: `RetainedEventAgent`
  Process the next event

  Overrides:
    `processEvent` in class `IfsServer`
  Parameters:
    `event` - The next event to process.
  Throws:
    `IfsException` - if the operation fails

### preBatchProcessing

    protected void preBatchProcessing()
                               throws IfsException

  Description copied from class: `RetainedEventAgent`
  Called before a batch of Retained Events are processed.

  Throws:
    `IfsException` - if the operation fails

### postProcessRetainedEvents

    protected void postProcessRetainedEvents()
                                      throws IfsException

  Description copied from class: `RetainedEventAgent`
  Called after all retained events have been processed

  Throws:
    `IfsException` - if the operation fails

### getRetainedEventSeed

    protected abstract RetainedEvent getRetainedEventSeed()

  Description copied from class: `RetainedEventAgent`
  Gets the retained event "seed" to select the appropriate type of retained events

  Returns:
    an instance of the correct type of RetainedEvent that this agent processes
  Throws:
    `IfsException` - if the operation fails

### getEventTargetKey

    protected abstract java.lang.String getEventTargetKey()

  Description copied from class: `RetainedEventAgent`
  Get the event target key used for this agent.

  Returns:
    the event target key (to an object in the Domain property bundle)
  Throws:
    `IfsException` - if the operation fails

### getBatchSizePropertyName

    protected abstract java.lang.String getBatchSizePropertyName()

  Description copied from class: `RetainedEventAgent`
  Get the name of the property used to specify the event batch size.

  Returns:
    the name of the "batch size" property
  Throws:
    `IfsException` - if the operation fails

### processRetainedEvent

    protected abstract void processRetainedEvent(LibrarySession session,
                                                 RetainedEvent re)
                                          throws IfsException

  Description copied from class: `RetainedEventAgent`
  Process a retained event.

  Parameters:
    `session` - session context
    `re` - the retained event to process
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD